#!/bin/bash

INPUT=`realpath "${1}"`
PNG="${INPUT}.rendered.png"
SVG="${INPUT}.rendered.svg" 

WIDTH=404
HEIGHT=374
DOTSIZE=4
MAXGENERATIONS=25
MAXPARTICLES=750
MINDOTSIZE=0.8
LINE=0.8
FILL=true

cd ~/src/stipple_gen/

bash stipple_gen.sh \
	--inputImage "${INPUT}" \
	--outputImage "${PNG}" \
	--outputSVG "${SVG}" \
	--canvasWidth $WIDTH \
	--canvasHeight $HEIGHT \
	--dotSizeFactor $DOTSIZE \
	--windowWidth $WIDTH \
	--windowHeight $HEIGHT \
	--maxGenerations $MAXGENERATIONS \
	--minDotSize $MINDOTSIZE \
	--line $LINE \
	--fill $FILL \
	--maxParticles $MAXPARTICLES
